## r-cran-filelock 1.0.2

=== DESCRIPTION ===
Package: filelock
Title: Portable File Locking
Version: 1.0.2
Author: Gábor Csárdi
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Place an exclusive or shared lock on a file. It uses 'LockFile'
    on Windows and 'fcntl' locks on Unix-like systems.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/filelock#readme
BugReports: https://github.com/r-lib/filelock/issues
RoxygenNote: 6.0.1.9000
Suggests: callr (>= 2.0.0), covr, testthat
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2018-10-05 10:03:40 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2018-10-05 10:30:12 UTC

=== debian/changelog ===
r-cran-filelock (1.0.2-2) unstable; urgency=medium

  * Standards-Version: 4.6.0 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 28 Aug 2021 19:33:14 +0200

r-cran-filelock (1.0.2-1) unstable; urgency=medium

  * Initial release (closes: #988665)

 -- Andreas Tille <tille@debian.org>  Tue, 18 May 2021 09:10:04 +0200

=== debian/control ===
Source: r-cran-filelock
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-filelock
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-filelock.git
Homepage: https://cran.r-project.org/package=filelock
Rules-Requires-Root: no

Package: r-cran-filelock
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: portable file locking for GNU R
 Place an exclusive or shared lock on a file. It uses 'LockFile'
 on Windows and 'fcntl' locks on Unix-like systems.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/filelock_([-\d.]*)\.tar\.gz

## r-cran-filelock 1.0.3

=== DESCRIPTION ===
Package: filelock
Title: Portable File Locking
Version: 1.0.3
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Place an exclusive or shared lock on a file. It uses
    'LockFile' on Windows and 'fcntl' locks on Unix-like systems.
License: MIT + file LICENSE
URL: https://r-lib.github.io/filelock/,
        https://github.com/r-lib/filelock
BugReports: https://github.com/r-lib/filelock/issues
Depends: R (>= 3.4)
Suggests: callr (>= 2.0.0), covr, testthat (>= 3.0.0)
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-12-11 01:12:05 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Posit Software, PBC [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2023-12-11 04:40:02 UTC

=== debian/changelog ===
r-cran-filelock (1.0.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 21:22:19 +0100

=== debian/control ===
Source: r-cran-filelock
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-filelock
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-filelock.git
Homepage: https://cran.r-project.org/package=filelock
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-filelock
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: portable file locking for GNU R
 Place an exclusive or shared lock on a file. It uses 'LockFile'
 on Windows and 'fcntl' locks on Unix-like systems.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr (>= 2.0.0),
        r-cran-covr,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr
